Tasuku
ReferenceAPI referenceOpencode

Connect to anonymously accessible OpenCode Zen models

Requires ADMIN or SUPER_USER. No credential is collected or written to the sandbox. Data sent to free models may be used by OpenCode or the model provider to improve their models.

PUT/organizations/{organization_id}/opencode-connection/anonymous

Requires ADMIN or SUPER_USER. No credential is collected or written to the sandbox. Data sent to free models may be used by OpenCode or the model provider to improve their models.

Authorization

tasuku_session<token>

In: cookie

Path Parameters

organization_id*string
Length1 <= length <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/organizations/string/opencode-connection/anonymous" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "connection": {      "auth": {        "active_version": 1,        "configured": true,        "fingerprint": "string",        "inherited": true,        "mode": "CREDENTIALS",        "provider_ids": [          "string"        ],        "source_scope": "ORGANIZATION"      },      "catalog": {        "catalog": {          "providers": [            {              "id": "string",              "models": [                {                  "capabilities": {                    "attachment": true,                    "reasoning": true,                    "temperature": true,                    "tool_call": true                  },                  "id": "string",                  "limits": {                    "context": 0,                    "output": 0                  },                  "name": "string",                  "variants": [                    "string"                  ]                }              ],              "name": "string"            }          ],          "runtime_version": "1.18.11"        },        "configuration_fingerprint": "string",        "credential_fingerprint": "string",        "error": "string",        "finished_at": "string",        "id": "string",        "last_successful_at": "string",        "organization_id": "string",        "provider_version": "string",        "repository_id": "string",        "started_at": "string",        "status": "QUEUED",        "updated_at": "string",        "workflow_run_id": "string"      },      "configuration": {        "active_version": 1,        "configured": true,        "fingerprint": "string",        "inherited": true,        "source_scope": "ORGANIZATION"      },      "organization_id": "string",      "ready": true,      "repository_id": "string"    },    "excluded_sections": [      "string"    ]  }}